interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        XQDlZsL02/8DiDM+fPf/AAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8225']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:51 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjfq38.2.1505364051723.Z0FBQUFBQlp1Z2hURGVrT3FEb1p5YmV0ZFI4eGd5NXVBZ3IxckFYNVN1VUxuX2NTcmJIbzdCeWN0NEZBaDVyaC1mc1RIeThwTUlqX0dGNWhlZmlNMUs2WUUxcjlUSWMtUXhXa09NQUdnYk5lTGpxQ0VPNjV1MzdYTGM3dGRYUlJ3Yk5Fc1V2X0tiMDQ;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:51
          GMT; secure', 'session_tracker=BgAlC3TtFNu97jfCl9.0.1505364051718.Z0FBQUFBQlp1Z2hUZ0k1dFBVRTYtVE55aC1FYWM0MldibS1LdkxoX09YUXJXVDZvQVRrMDJuZGlNV3R4NkpjdVBOX3UycElTcnoxU1FXM1UzUGdiOWswTTFiX25SWmQ1WTdkMjN1QVhqenZwSVR2S3JtMUdSUkx5UTlFMi1FMmpwWXczeW9OTFNFRDY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:51
          GMT; secure', edgebucket=ZedKDeoa1XIfRALuTh; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1729-ORD]
      X-Timer: ['S1505364052.700495,VS0,VE206']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjfq38.2.1505364051723.Z0FBQUFBQlp1Z2hURGVrT3FEb1p5YmV0ZFI4eGd5NXVBZ3IxckFYNVN1VUxuX2NTcmJIbzdCeWN0NEZBaDVyaC1mc1RIeThwTUlqX0dGNWhlZmlNMUs2WUUxcjlUSWMtUXhXa09NQUdnYk5lTGpxQ0VPNjV1MzdYTGM3dGRYUlJ3Yk5Fc1V2X0tiMDQ;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:51
          GMT; secure', 'session_tracker=BgAlC3TtFNu97jfCl9.0.1505364051718.Z0FBQUFBQlp1Z2hUZ0k1dFBVRTYtVE55aC1FYWM0MldibS1LdkxoX09YUXJXVDZvQVRrMDJuZGlNV3R4NkpjdVBOX3UycElTcnoxU1FXM1UzUGdiOWswTTFiX25SWmQ1WTdkMjN1QVhqenZwSVR2S3JtMUdSUkx5UTlFMi1FMmpwWXczeW9OTFNFRDY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:51
          GMT; secure', edgebucket=ZedKDeoa1XIfRALuTh; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=EX1urYRsrS%2BlxyCKVBvKmEGjFRI8EQwE%2FrcHMAIKxWVqf5dwExk0ALa3ZkOf9KbryaHSzJgKmHA%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=ZedKDeoa1XIfRALuTh; loid=00000000000drjfq38.2.1505364051723.Z0FBQUFBQlp1Z2hURGVrT3FEb1p5YmV0ZFI4eGd5NXVBZ3IxckFYNVN1VUxuX2NTcmJIbzdCeWN0NEZBaDVyaC1mc1RIeThwTUlqX0dGNWhlZmlNMUs2WUUxcjlUSWMtUXhXa09NQUdnYk5lTGpxQ0VPNjV1MzdYTGM3dGRYUlJ3Yk5Fc1V2X0tiMDQ;
          session_tracker=BgAlC3TtFNu97jfCl9.0.1505364051718.Z0FBQUFBQlp1Z2hUZ0k1dFBVRTYtVE55aC1FYWM0MldibS1LdkxoX09YUXJXVDZvQVRrMDJuZGlNV3R4NkpjdVBOX3UycElTcnoxU1FXM1UzUGdiOWswTTFiX25SWmQ1WTdkMjN1QVhqenZwSVR2S3JtMUdSUkx5UTlFMi1FMmpwWXczeW9OTFNFRDY]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/comments/571dw3.json
  response:
    body:
      string: !!binary |
[encoded data, 47940 characters]
        EyTJNHncZs7//T9wkKbeNUYEAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['32167']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:52 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1729-ORD]
      X-Timer: ['S1505364052.978831,VS0,VE881']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=BgAlC3TtFNu97jfCl9.0.1505364051995.Z0FBQUFBQlp1Z2hVRTBtbVRMdmQxV2JsX2NqOGxwQ0RlS3pRYXRfR3lfVVBxbVZGWHl3eE85UHBpR0l2aEdTMlZEQzVUcGliMk5wekpPTnJhRFJ6R0VaWGlDQXBXYXZKT2J4UlFYUHJGNG5vRUIxSEN1ZUMyQ2lNaEk5RFcwWUtNSEFpTmZ5N2NxLU4;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:52
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=QB2NycGzm8AL1U5cg0ChsUw%2FT5ul5L6PdpEam1PIfeTpd675bLq3UIopDPBa32Hsi7moHQ48NGAAbvRwOFF5sWllf1Eu2iDc']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
